diff OrthancStone/Samples/RtViewerPlugin/docker-internal.sh @ 1527:4c4b267e4004

RtViewerPlugin : similar to the StoneWebPlugin, but for the sole RtViewer sample
author Benjamin Golinvaux <bgo@osimis.io>
date Sun, 02 Aug 2020 15:13:58 +0200
parents
children 3eca4f9c2827
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/OrthancStone/Samples/RtViewerPlugin/docker-internal.sh	Sun Aug 02 15:13:58 2020 +0200
@@ -0,0 +1,29 @@
+#!/bin/bash
+set -ex
+
+# Get the Orthanc framework
+cd /tmp/
+hg clone https://hg.orthanc-server.com/orthanc/
+
+# Make a copy of the read-only folder containing the source code into
+# a writeable folder, because of "DownloadPackage.cmake" that writes
+# to the "ThirdPartyDownloads" folder next to the "CMakeLists.txt"
+cd /source
+hg clone /source /tmp/source-writeable
+
+
+mkdir /tmp/build
+cd /tmp/build
+
+LSB_CC=gcc-4.8 LSB_CXX=g++-4.8 cmake /tmp/source-writeable/OrthancStone/Samples/RtViewerPlugin \
+      -DCMAKE_BUILD_TYPE=$1 \
+      -DCMAKE_INSTALL_PREFIX=/target/ \
+      -DCMAKE_TOOLCHAIN_FILE=/tmp/orthanc/OrthancFramework/Resources/Toolchains/LinuxStandardBaseToolchain.cmake \
+      -DORTHANC_FRAMEWORK_ROOT=/tmp/orthanc/OrthancFramework \
+      -DSTATIC_BUILD=ON \
+      -DSTONE_BINARIES_RT_VIEWER=/target/RtViewer/ \
+      -DUSE_LEGACY_JSONCPP=ON \
+      -G Ninja
+
+ninja -j2 install
+